Skip to main content

Query Parameters

FieldTypeNeedDescriptionExample
”account”stringrequiredConnected wallet address42trU9A5…

Response

  • Status 200: Successfully retrieved account information
FieldTypeDescription
”symbol”stringTrading pair symbol
”side”stringPosition side: bid (long) or ask (short)
“amount”decimal stringPosition size in the asset’s base unit
”entry_price”decimal stringEntry price of the position. Takes VWAP if position was opened by multiple trades executed at different prices.
”margin”decimal stringAmount of margin allocated to an isolated position (only shown when isolated)
“funding”decimal stringFunding paid by this position since open
”isolated”booleanIf the position is opened in isolated margin mode
”liquidation_price”decimal string or nullEstimated liquidation price for the position. null if not applicable
”created_at”integerTimestamp in milliseconds when the position was opened
”updated_at”integerTimestamp in milliseconds when these settings were last updated
”last_order_id”integerExchange-wide nonce. Used to reliably determine exchange event ordering. Sequential and not subject to clock drift.
  • Status 400: Invalid request parameters
  • Status 401: Unauthorized access
  • Status 500: Internal server error

Code Example (Python)